Subject: bug#72003: 29.3; Drag and drop in Emacs 29 on macOS

From: Stefan Kangas <[email-masked]>
Date: Thu, 11 Jul 2024 16:37:46 -0700

Robert Pluim <[email-masked]> writes:

>>>>>> On Thu, 11 Jul 2024 09:08:03 -0400, Giah de Barag <[email-masked]> said:
>
>     Giah> On Jul 9, 2024, at 02:29, Po Lu <[email-masked]> wrote:
>     >> Giah de Barag <[email-masked]> writes:
>     >>
>     >>> * SUMMARY
>     >>>
>     >>> Drag and drop does not work in Emacs version 29 on macOS.
>     >>>
>     >>> * DESCRIPTION
>     >>>
>     >>> - Drag and drop does NOT work on Emacs 29 on macOS. (Drag
>     >>> and drop DOES work in Emacs < 28. Upgrading to v29 makes
>     >>> drag and drop stop working.)
>     >>>
>     >>> - If we do M-x describe-key then drag and drop a file on the
>     >>> text area of the window, we get -- nothing -- in Emacs 29
>     >>
>     >> Since I cannot reproduce this in GNUstep on Emacs 30, this has either
>     >> been dealt with in the release branch, or is specific to Mac OS
>
>     Giah> Who maintains the macOS-specific code?
>
> Drag and drop works fine for me on macOS with Emacs 29.3 and
> master. Is this one of those 'apps need permission to access folders'
> security things that pops up every once in a while on macOS?

The above recipe works for me too (the file opens) on macOS 14.5 in
emacs -Q, tested on master and Emacs 29.4.